Groovy Documentation

## org.codehaus.groovy.grails.web.servlet.filter
[Java] Class GrailsReloadServletFilter

    java.lang.Object
      org.springframework.web.filter.OncePerRequestFilter
          org.codehaus.groovy.grails.web.servlet.filter.GrailsReloadServletFilter

    public class GrailsReloadServletFilter
    extends OncePerRequestFilter

Copies resources from the source on content change and manages reloading if necessary.

Authors:
  Graeme Rocher

Field Summary
`static Log` | `LOG`

Method Summary
`protected java.io.Writer` | `createResponseWriter(HttpServletResponse response)`
`protected void` | `doFilterInternal(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, FilterChain filterChain)`
`protected void` | `initFilterBean()`

Field Detail

### LOG

    public static final Log LOG

Method Detail

### createResponseWriter

    protected java.io.Writer createResponseWriter(HttpServletResponse response)

### doFilterInternal

    @SuppressWarnings({ "unchecked", "rawtypes" })
    @Override
    protected void doFilterInternal(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, FilterChain filterChain)

### initFilterBean

    @Override
    protected void initFilterBean()

Groovy Documentation